Program MiniTerm;

uses Crt, COMMUNIT, COMMCONS;


var
    Result     : word;
    InitStr,
    HangupStr  : string;
    ch         : char;
    OK         : boolean;
    ComPort    : word;
    Ende       : boolean;

begin
  clrscr;
  writeln; writeln('MINITERM - Beenden mit ALT-X');
  ComPort   := COM2;
  InitStr   := 'ATZ^M~~';
  HangupStr := '~~+++~~~~ATH0^M~~~~';
  Result :=
    InitComPort(ComPort, B2400, DataBit8, StopBit1, NoParity, RTS_CTS);
  writeln;
  case Result of
    NoModem : writeln('Modem nicht gefunden');
    NoPort  : writeln('Port nicht gefunden.');
  end;
  If Result <> InitOK Then
    begin
      CloseComPort;
      Exit;
    end;
  writeln('Modem initialisieren ...');
  OK := V24WriteCommand(InitStr);

  Ende := false;
  while not Ende do
    begin
      ch := V24ReadCh;
      if ch <> #0 Then write(ch);
      If Keypressed Then
        begin
          ch := Readkey;
          if (ch = #0) then
            begin
              ch := readkey;
              if (ch = #45) Then Ende := true;  { ALTX }
            end;
          OK := V24WriteCh(ch);
        end;
    end;
  writeln('Auflegen...');
  OK := V24WriteCommand(HangupStr);
  CloseComPort;
end.